## org.apache.fop.dom.svg
Class SVGRectElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGRectElementImpl

public class SVGRectElementImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGRectElement

class representing a rectangle in an SVG Area

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGRectElementImpl()` construct a rectangle graphic.

Method Summary
`org.w3c.dom.svg.SVGRect` `getBBox()`
`org.w3c.dom.svg.SVGAnimatedLength` `getHeight()`
`org.w3c.dom.svg.SVGAnimatedLength` `getRx()`
`org.w3c.dom.svg.SVGAnimatedLength` `getRy()`
`java.lang.String` `getTagName()`
`org.w3c.dom.svg.SVGAnimatedLength` `getWidth()`
`org.w3c.dom.svg.SVGAnimatedLength` `getX()`
`org.w3c.dom.svg.SVGAnimatedLength` `getY()`
`void` `setHeight(org.w3c.dom.svg.SVGAnimatedLength height)`
`void` `setRx(org.w3c.dom.svg.SVGAnimatedLength rx)`
`void` `setRy(org.w3c.dom.svg.SVGAnimatedLength ry)`
`void` `setWidth(org.w3c.dom.svg.SVGAnimatedLength width)`
`void` `setX(org.w3c.dom.svg.SVGAnimatedLength x)`
`void` `setY(org.w3c.dom.svg.SVGAnimatedLength y)`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGRectElementImpl

    public SVGRectElementImpl()

  construct a rectangle graphic.
  Parameters:
    `x` - x-coordinate of corner
    `y` - y-coordinate of corner
    `width` - width of rectangle
    `height` - height of rectangle

Method Detail

### getBBox

    public org.w3c.dom.svg.SVGRect getBBox()

  Overrides:
    getBBox in class GraphicElement

### getX

    public org.w3c.dom.svg.SVGAnimatedLength getX()

  Specified by:
    getX in interface org.w3c.dom.svg.SVGRectElement

### setX

    public void setX(org.w3c.dom.svg.SVGAnimatedLength x)

### getY

    public org.w3c.dom.svg.SVGAnimatedLength getY()

  Specified by:
    getY in interface org.w3c.dom.svg.SVGRectElement

### setY

    public void setY(org.w3c.dom.svg.SVGAnimatedLength y)

### getWidth

    public org.w3c.dom.svg.SVGAnimatedLength getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.svg.SVGRectElement

### setWidth

    public void setWidth(org.w3c.dom.svg.SVGAnimatedLength width)

### getHeight

    public org.w3c.dom.svg.SVGAnimatedLength getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.svg.SVGRectElement

### setHeight

    public void setHeight(org.w3c.dom.svg.SVGAnimatedLength height)

### getRx

    public org.w3c.dom.svg.SVGAnimatedLength getRx()

  Specified by:
    getRx in interface org.w3c.dom.svg.SVGRectElement

### setRx

    public void setRx(org.w3c.dom.svg.SVGAnimatedLength rx)

### getRy

    public org.w3c.dom.svg.SVGAnimatedLength getRy()

  Specified by:
    getRy in interface org.w3c.dom.svg.SVGRectElement

### setRy

    public void setRy(org.w3c.dom.svg.SVGAnimatedLength ry)

### getTagName

    public java.lang.String getTagName()

  Overrides:
    getTagName in class NodeImpl

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.